=== lib/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib

.PHONY: all clean install

all clean install:
	$(MAKE) -C libdvbapi $@
	$(MAKE) -C libdvbcfg $@
	$(MAKE) -C libdvben50221 $@
	$(MAKE) -C libdvbsec $@
	$(MAKE) -C libesg $@
	$(MAKE) -C libucsi $@
