=== lib/libdvbsec/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libdvbsec

includes = dvbsec_api.h        \
           dvbsec_cfg.h

objects  = dvbsec_api.o        \
           dvbsec_cfg.o

lib_name = libdvbsec

CPPFLAGS += -I../../lib

.PHONY: all

all: library

include ../../Make.rules
