=== test/libdvbsec/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libdvbsec

binaries = dvbsec_test

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libdvbsec/libdvbsec.a

.PHONY: all

all: $(binaries)

include ../../Make.rules
