=== test/libesg/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libucsi

binaries = testesg

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libesg/libesg.a

.PHONY: all

all: $(binaries)

include ../../Make.rules
