=== debian/changelog ===
linuxtv-dvb-apps (1.1.1+rev1500-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097301)
  * Fix atsc_epg on architectures with unsigned char,
    thanks to John Scott. (Closes: #1102029)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Oct 2025 17:05:28 +0300

linuxtv-dvb-apps (1.1.1+rev1500-2) unstable; urgency=low

  * Team upload.

  [ Jonathan McCrohan ]
  * d/patches/: Drop uk-CrystalPalace.diff; superseded by
    dtv-scan-tables_0+git20130920.f61d5ec-1
  * d/: Drop dvb-apps.bug-presubj; scan table bug reports should be reported
    against dtv-scan-tables package instead
  * d/watch: linuxtv-dvb-apps has been moved into the legacy section of the
    linuxtv.org downloads page; update watch file accordingly

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Vcs fields
  * Fix gcc-14 build issue
    Closes: #1075227
  * Move libraries to multiarch dir
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * watch file standard 4 (routine-update)
  * d/copyright: DEP5 + review
  * Add debian/TODO with potential new upstream source
  * Secure URI in watch file
  * Fix alevt icon in menus
    Closes: #928331

  [ Bernhard Übelacker ]
  * Fix azap crash because of a strlen(0)
    Closes: #715667
  * Fix czap crash because of a strlen(0)
    Closes: #715773
  * Fix tzap crash because of a strlen(0)
    Closes: #716413

  [ Andrew Siplas ]
  * Storing address inside int leads to segfault on 64-bit machine
    Closes: #779520

  [ Frank Heckenbach ]
  * Fix program table overflow
    Closes: #826072
  * Adapt font size in alevt to modern screen sizes
    Closes: #926702

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2025 16:37:29 +0100

linuxtv-dvb-apps (1.1.1+rev1500-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around UAPI break in Linux input events (Closes: #1066822).
  * Set Architecture to linux-any (Closes: #961967).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 16:49:59 +0100

linuxtv-dvb-apps (1.1.1+rev1500-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to fix build with gcc 10, caused by multiple definition of the
    'sid' global variable. (Closes: #957492).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jul 2020 20:42:38 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to replace the obsolete stime function (removed in glibc 2.31)
    by clock_settime. (Closes: #964223)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2020 19:11:31 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove "dst_test -p", the functionality was never actually
    implemented in the kernel and now caused a FTBFS. (Closes: #884039)

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Jan 2018 19:52:14 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/fix-build-libpng16.patch: fix build with
    libpng16 (Closes: #742566)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 18:12:02 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1) unstable; urgency=low

  [ Jonathan McCrohan ]
  * New upstream release
  * d/control: Add myself to Uploaders
  * d/control: Drop obsolete DM-Upload-Allowed
  * d/control: Update Vcs tags to reflect move SVN to Git (Closes: #702868)
  * d/patches/: Add 02_dtv-scan-tables.patch to remove scan tables from
    dvb-apps package (Closes: #722661)
  * d/control: Add depends on dtv-scan-tables which now provides the initial
    scan files previously provided by dvb-apps

  [ Tobias Grimm ]
  * d/control: Build-depend on linux-libc-dev (>= 3.3) because the DVB API 5.5
    is required
  * d/control: Standards-Version: 3.9.4
  * Use debhelper 9 to make the hardening options from dpkg-buildflags being
    used
  * Add a manpage for lsdvb

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Sep 2013 21:43:41 +0200
