=== debian/control ===
Source: linuxtv-dvb-apps
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Tobias Grimm <etobi@debian.org>,
           Jonathan McCrohan <jmccrohan@gmail.com>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libzvbi-dev,
               linux-libc-dev,
               imagemagick | graphicsmagick
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/vdr-team/linuxtv-dvb-apps
Vcs-Git: https://salsa.debian.org/vdr-team/linuxtv-dvb-apps.git
Homepage: http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps

Package: dvb-apps
Architecture: linux-any
Depends: ${shlibs:Depends},
         makedev | udev,
         dtv-scan-tables,
         ${misc:Depends}
Conflicts: libxbase2.0-bin,
           libxdb-dev,
           alevt
Provides: alevt
Replaces: dvb-utils
Description: Digital Video Broadcasting (DVB) applications
 Applications and utilities geared towards the initial setup, testing
 and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T,
 and ATSC standards.
 .
 Main User Applications:
  . scan               - Scan for channels on your digital TV device
  . dvbscan            - Another frequency scanning tool
  . czap, szap, tzap   - Tuning utilities for DVB-C, DVB-S, DVB-T
  . azap               - Tuning utility for ATSC
  . gnutv              - Tune, watch and stream your TV
 .
 General Utilities:
  . dvbdate    - Set your clock from digital TV
  . dvbnet     - Control digital data network interfaces
  . dvbtraffic - Monitor traffic on a digital device
  . femon      - Monitor the tuning on a digital TV device
  . zap        - *Just* tunes a digital device
  . atsc_epg   - Display ATSC Electronic Program Guide (next programs)
  . alevt      - Teletext browser
 .
 Hardware Specific Utilities:
  . util/av7110_loadkeys    - Load remote keys into an av7110 based card
  . util/dib3000-watch      - Monitor DIB3000 demodulators
  . util/dst-utils          - Utilities for DST based cards
  . util/ttusb_dec_reset    - Reset a TechnoTrends TTUSB DEC device
 .
 Libraries:
  . lib/libdvbapi   - Interface library to digital TV devices
  . lib/libdvbcfg   - Library to parse/create digital TV channel
  . lib/libdvbsec   - Library for Satellite Equipment Control operations
  . lib/libucsi     - Fast MPEG2 Transport Stream SI table parsing library
  . lib/libdvben50221- Implementation of a Cenelec EN 50221 CAM stack
  . lib/libdvbmisc  - Miscellaneous utilities used by the other libraries
