=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	chmod +x util/scan/atsc_psip_section.pl
	PERL5LIB=$(CURDIR)/util/scan:$${PERL5LIB} dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	cd test && $(MAKE) clean
endif

override_dh_install:
	dh_install
	mkdir -p debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/`dh_listpackages`/usr/lib/*.a debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/`dh_listpackages`/usr/lib/*.so debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	convert debian/`dh_listpackages`/usr/share/pixmaps/alevt.xbm debian/`dh_listpackages`/usr/share/pixmaps/alevt.png
	rm debian/`dh_listpackages`/usr/share/pixmaps/alevt.xbm

override_dh_installdocs:
	dh_installdocs
	# install READMEs into doc/dvb-apps
	cp -a util/av7110_loadkeys/README debian/dvb-apps/usr/share/doc/dvb-apps/README.av7110_loadkeys
	cp -a util/scan/README debian/dvb-apps/usr/share/doc/dvb-apps/README.scan
	cp -a util/szap/README debian/dvb-apps/usr/share/doc/dvb-apps/README.szap
	cp -a util/ttusb_dec_reset/README debian/dvb-apps/usr/share/doc/dvb-apps/README.ttusb_dec_reset
