=== debian/watch ===
version=4
https://www.linuxtv.org/downloads/legacy/ linuxtv-dvb-apps-(.*)\.tar\.bz2

# Latest HG revision available from:
# http://linuxtv.org/hg/dvb-apps
